import { defineComponent, useCssVars, unref, toRefs, openBlock, createElementBlock, createElementVNode, toDisplayString, createStaticVNode } from "vue";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "obx" };
const _hoisted_2 = { class: "first" };
const _hoisted_3 = { class: "secend" };
const _hoisted_4 = ["src"];
const _hoisted_5 = /* @__PURE__ */ createStaticVNode('<div class="thirdly" data-v-095c8433><div class="time" data-v-095c8433><div data-v-095c8433>1</div><div data-v-095c8433>3</div><div data-v-095c8433>4</div></div><div class="unit" data-v-095c8433>\u5929</div><div class="time" data-v-095c8433><div data-v-095c8433>0</div><div data-v-095c8433>6</div></div><div class="unit" data-v-095c8433>\u65F6</div><div class="time" data-v-095c8433><div data-v-095c8433>2</div><div data-v-095c8433>2</div></div><div class="unit" data-v-095c8433>\u5206</div></div>', 1);
const __default__ = defineComponent({ name: "EBoundingBox04" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    useCssVars((_ctx) => ({
      "ec4cbaac": unref(fontSize) + "px",
      "84b02bec": unref(fontSize2) + "px",
      "72a72886": unref(width) + "px",
      "73859e93": unref(height) + "px"
    }));
    const { titleConfig, titleConfig2, imageConfig } = toRefs(
      props.chartConfig.option
    );
    const { fontSize } = toRefs(titleConfig.value);
    const { fontSize: fontSize2 } = toRefs(titleConfig2.value);
    const { width, height } = toRefs(imageConfig.value);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createElementVNode("div", null, toDisplayString(unref(titleConfig).text), 1),
          createElementVNode("div", null, toDisplayString(unref(titleConfig2).text), 1),
          createElementVNode("div", null, toDisplayString(unref(titleConfig2).text2), 1)
        ]),
        createElementVNode("div", _hoisted_3, [
          createElementVNode("img", {
            src: unref(imageConfig).imgSrc
          }, null, 8, _hoisted_4)
        ]),
        _hoisted_5
      ]);
    };
  }
});
var _EBoundingBox04 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-095c8433"]]);
export { _EBoundingBox04 as default };
